## com.rbnb.api
Interface Source

All Superinterfaces:
  Client, ClientInterface, Cloneable, RegisteredInterface, RmapInterface, Serializable, SourceInterface, UsernameInterface

All Known Subinterfaces:
  Sink

    public interface Source

extends Client, SourceInterface

Client-side representation of a source client application connection to the RBNB server.

Since:
  V2.0
Author:
  Ian Brown
Version:
  09/29/2004

Field Summary

Fields inherited from interface com.rbnb.api.SourceInterface
`ACCESS_APPEND, ACCESS_CREATE, ACCESS_LOAD, ACCESS_NONE`

Fields inherited from interface com.rbnb.api.ClientInterface
`CLIENT, FOREVER, MIRROR, PLUGIN`

Method Summary
`long` `bytesTransferred()`
`Object` `clone()` Clones this object.

Methods inherited from interface com.rbnb.api.Client
`isSynchronized, start, start, start, stop, stop, stop, stop, synchronizeWserver`

Methods inherited from interface com.rbnb.api.SourceInterface
`clearCache, deleteChannels, getAframes, getAkeep, getAmode, getAsize, getCframes, getCkeep, getCsize, getNfs, register, reset, setAframes, setAkeep, setAmode, setAsize, setCframes, setCkeep, setCsize, setNfs`

Methods inherited from interface com.rbnb.api.ClientInterface
`getRemoteID, getType, isRunning, setRemoteID, setType, tryReconnect`

Methods inherited from interface com.rbnb.api.RegisteredInterface
`getRegistered`

Methods inherited from interface com.rbnb.api.RmapInterface
`addChild, compareNames, compareNames, compareTo, findChild, findDescendant, getFullName, getName, getParent, removeChild, removeChildAt, setName, toString, toString`

Methods inherited from interface com.rbnb.api.UsernameInterface
`getUsername, setUsername`

Method Detail

### clone

    Object clone()

  Clones this object.

  This same abstract declaration is also included in RmapInterface.java, but for some unknown reason J# gives a compiler error if it is not also included here.

  Specified by:
    `clone` in interface `Client`
  Specified by:
    `clone` in interface `ClientInterface`
  Specified by:
    `clone` in interface `RmapInterface`
  Specified by:
    `clone` in interface `SourceInterface`
  Returns:
    the clone.
  Since:
    V2.5
  See Also:
    `Cloneable`
  Author:
    John Wilson
  Version:
    09/29/2004

### bytesTransferred

    long bytesTransferred()